<script setup lang="ts">
import { computed } from 'vue';
import { handleBackground } from '@slidev/theme-default/layoutHelper';

const props = defineProps({
	background: {
		default: ''
	}
});

const style = computed(() => handleBackground(props.background, true));
</script>

<template>
	<div
		class="slidev-layout cover bg-[rgba(0,0,0,.75)] bg-blend-overlay bg-cover bg-left bg-no-repeat bg-img-default-alt relative"
	>
		<NttDataLogo class="w-[100px] abs-tr right-6 top-6 fill-white" />

		<div class="my-auto w-full">
			<h1
				class="text-left !text-4xl !z-30 text-white font-extrabold leading-tight !opacity-100 relative"
			>
				Obrigado pelo tempo<br />disponibilizado!
			</h1>
			<p class="!opacity-100 text-white">Questões?</p>

			<div class="absolute left-8 right-8 bottom-8 z-30">
				<div class="flex gap-2 items-end justify-between">
					<div>
						<span class="block font-800 text-sm text-white">Janeiro de 2022</span>
						<span class="block text-xs font-500 text-white uppercase mt-1"
							>NTT DATA Europa & Latam</span
						>
					</div>
					<h3 class="font-extrabold uppercase text-right leading-tight text-white">
						Future<br />At Heart
					</h3>
				</div>
			</div>
			<div class="bg-white h-[2px] absolute left-4 right-4 bottom-6 z-30"></div>

			<div class="bg-overlay bg-n-overlay z-0 absolute top-0 -left-[20%]" />
		</div>
	</div>
</template>
